html,
body,
.nycrhpsadmin-page-container {
  min-height: 100%;
}
.nav-toggler {
  display: block;
  position: absolute;
  top: 1em;
  right: 1em;
}

md-card.md-default-theme .md-card-image,
md-card .md-card-image {
  max-width: 100%;
}

.cast-picker-photo {
  border-radius: 50%;
}

.md-sidenav-left {
  width: 250px;
}

/* ===================== FILE INPUT ===================== */
.file-area {
  width: 90%;
  position: relative;
}
.file-area input[type="file"] {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  cursor: pointer;
}
.file-area .file-dummy {
  width: 100%;
  padding: 30px;
  background: rgba(255, 255, 255, 0.2);
  border: 2px dashed rgba(0, 0, 0, 0.2);
  text-align: center;
  transition: background 0.3s ease-in-out;
}
.file-area .file-dummy .success {
  display: none;
}
.file-area:hover .file-dummy {
  background: rgba(255, 255, 255, 0.1);
}
.file-area input[type="file"]:focus + .file-dummy {
  outline: 2px solid rgba(255, 255, 255, 0.5);
  outline: -webkit-focus-ring-color auto 5px;
}
.file-area input[type="file"]:valid + .file-dummy {
  border-color: rgba(0, 255, 0, 0.4);
  background-color: rgba(0, 255, 0, 0.3);
}
.file-area input[type="file"]:valid + .file-dummy .success {
  display: inline-block;
}
.file-area input[type="file"]:valid + .file-dummy .default {
  display: none;
}

.upload-success {
  margin-bottom: 2em;
}
.upload-success img {
  display: inline-block;
  margin-right: 0.5em;
  max-width: 5em;
  max-height: 5em;
}

.image-widget button {
  margin-left: 0;
}
.image-widget .selected-image {
}
.image-widget .selected-image > div {
  display: table;
}

.image-widget .selected-image > .no-img {
  margin-top: 2em;
}
.image-widget .selected-image span {
  vertical-align: middle;
  display: table-cell;
  padding-left: 1em;
}
.img-browser {
  max-height: 50vh;
  overflow-y: scroll;
}
.img-browser .img-container {
  width: 5em;
  height: 5em;
  margin: 0.25em;
  display: block;
  float: left;
}

.img-browser img,
.image-widget .active-image {
  max-width: 5em;
  max-height: 5em;
}
.img-browser img {
  margin: 0 auto;
  cursor: pointer;
}

button img {
  height: 1em;
}

.img-browser img.active {
  border-style: inset;
  border: 3px solid #03a9f4;
  box-sizing: border-box;
}

.demo-dialog-example {
  height: 70vh;
  background: white;
  border-radius: 4px;
  box-shadow:
    0 7px 8px -4px rgba(0, 0, 0, 0.2),
    0 13px 19px 2px rgba(0, 0, 0, 0.14),
    0 5px 24px 4px rgba(0, 0, 0, 0.12);
  width: 80%;
}

.demo-dialog-content {
  padding: 0 15px;
  width: 100%;
}
